﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGrid_ComboBoxDemo.Model
{
    public class ShippingLocation : INotifyPropertyChanged
    {


        private int shipId;
        public int ShipId
        {
            get { return shipId; }
            set { shipId = value;
                RaisePropertyChanged("ShipId");
            }
        }

        private string cityName;
        public string CityName
        {
            get { return cityName; }
            set
            {
                cityName = value;
                RaisePropertyChanged("CityName");
            }
        }

        private string country;
        public string Country
        {
            get { return country; }
            set {
                country = value;
                RaisePropertyChanged("Country");
            }
        }

        private int rateValue;
        public int RateValue
        {
            get { return rateValue; }
            set
            {
                rateValue = value;
                RaisePropertyChanged("RateValue");
            }
        }



        public event PropertyChangedEventHandler PropertyChanged;
        public void RaisePropertyChanged(string propName)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }

    }
}
